> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses customers payment methodsbatch



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/customers/{customerId}/payment-methods/batch
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/customers/{customerId}/payment-methods/batch:
    post:
      tags:
        - CustomerPaymentMethod
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: businessId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/PaymentMethodsPaymentMethodCreateRequest'
          text/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/PaymentMethodsPaymentMethodCreateRequest'
          application/*+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/PaymentMethodsPaymentMethodCreateRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PaymentMethodsSBPaymentMethodResponse'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PaymentMethodsSBPaymentMethodResponse'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PaymentMethodsSBPaymentMethodResponse'
        '404':
          description: Not Found
components:
  schemas:
    PaymentMethodsPaymentMethodCreateRequest:
      type: object
      properties:
        type:
          type: string
          nullable: true
        stripeId:
          type: string
          nullable: true
        setupIntentId:
          type: string
          nullable: true
        billingAddress:
          $ref: '#/components/schemas/DTOBillingAddressRequest'
        acssDebit:
          $ref: '#/components/schemas/PaymentMethodsPaymentMethodBankCreateRequest'
        bankAccount:
          $ref: '#/components/schemas/PaymentMethodsPaymentMethodBankCreateRequest'
        card:
          $ref: '#/components/schemas/PaymentMethodsPaymentMethodCardCreateRequest'
        giftCard:
          $ref: '#/components/schemas/PaymentMethodsGiftCardCreateRequest'
        businessId:
          type: integer
          format: int64
          nullable: true
        assignedToUserId:
          type: integer
          format: int64
          nullable: true
      additionalProperties: false
    PaymentMethodsSBPaymentMethodResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        stripeId:
          type: string
          nullable: true
        setupIntentId:
          type: string
          nullable: true
        billingAddress:
          $ref: '#/components/schemas/DTOBillingAddress'
        card:
          $ref: '#/components/schemas/PaymentMethodsSBPaymentMethodCardResponse'
        bankAccount:
          $ref: '#/components/schemas/PaymentMethodsSBPaymentMethodBankResponse'
        giftCard:
          $ref: '#/components/schemas/PaymentMethodsSBPaymentMethodGiftCardResponse'
        type:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        businessId:
          type: integer
          format: int64
          nullable: true
        userId:
          type: integer
          format: int64
          nullable: true
        assignedToUserId:
          type: integer
          format: int64
          nullable: true
        wallet:
          type: string
          nullable: true
      additionalProperties: false
    DTOBillingAddressRequest:
      type: object
      properties:
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        address:
          $ref: '#/components/schemas/DTOAddressRequest'
        company:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        googlePlaceId:
          type: string
          nullable: true
        formattedAddress:
          type: string
          nullable: true
        latitude:
          type: number
          format: double
        longitude:
          type: number
          format: double
        addressExpiresAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    PaymentMethodsPaymentMethodBankCreateRequest:
      type: object
      properties:
        transitNumber:
          type: string
          nullable: true
        institutionNumber:
          type: string
          nullable: true
        accountNumber:
          type: string
          nullable: true
        currency:
          type: string
          nullable: true
        last4:
          type: string
          nullable: true
        routingNumber:
          type: string
          nullable: true
        bankName:
          type: string
          nullable: true
        accountType:
          type: string
          nullable: true
        fingerprint:
          type: string
          nullable: true
      additionalProperties: false
    PaymentMethodsPaymentMethodCardCreateRequest:
      type: object
      properties:
        cardholderName:
          type: string
          nullable: true
        cardholderFirstName:
          type: string
          nullable: true
        cardholderLastName:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        brand:
          type: string
          nullable: true
        displayBrand:
          type: string
          nullable: true
        coBrand:
          type: string
          nullable: true
        expirationMonth:
          type: integer
          format: int64
        expirationYear:
          type: integer
          format: int64
        last4:
          type: string
          nullable: true
        dynamicLast4:
          type: string
          nullable: true
        bin:
          type: string
          nullable: true
        fingerprint:
          $ref: '#/components/schemas/PaymentMethodsPaymentMethodCardFingerprint'
      additionalProperties: false
    PaymentMethodsGiftCardCreateRequest:
      type: object
      properties:
        provider:
          type: string
          nullable: true
        cardNumber:
          type: string
          nullable: true
        pin:
          type: string
          nullable: true
        balance:
          type: integer
          format: int64
          nullable: true
        currency:
          type: string
          nullable: true
        expirationDate:
          type: string
          format: date-time
          nullable: true
        notes:
          type: string
          nullable: true
        businessId:
          type: integer
          format: int64
          nullable: true
        assignedToUserId:
          type: integer
          format: int64
          nullable: true
      additionalProperties: false
    DTOBillingAddress:
      type: object
      properties:
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        address:
          $ref: '#/components/schemas/DTOAddress'
        company:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
      additionalProperties: false
    PaymentMethodsSBPaymentMethodCardResponse:
      type: object
      properties:
        last4:
          type: string
          nullable: true
        dynamicLast4:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        fingerprint:
          type: string
          nullable: true
        tokenizationMethod:
          type: string
          nullable: true
        expirationMonth:
          type: integer
          format: int64
        expirationYear:
          type: integer
          format: int64
        brand:
          type: string
          nullable: true
        displayBrand:
          type: string
          nullable: true
        bin:
          type: string
          nullable: true
        wallet:
          type: string
          nullable: true
      additionalProperties: false
    PaymentMethodsSBPaymentMethodBankResponse:
      type: object
      properties:
        bankName:
          type: string
          nullable: true
        last4:
          type: string
          nullable: true
        accountType:
          type: string
          nullable: true
        routingNumber:
          type: string
          nullable: true
        fingerprint:
          type: string
          nullable: true
        institutionNumber:
          type: string
          nullable: true
        transitNumber:
          type: string
          nullable: true
      additionalProperties: false
    PaymentMethodsSBPaymentMethodGiftCardResponse:
      type: object
      properties:
        provider:
          type: string
          nullable: true
        last4:
          type: string
          nullable: true
        balance:
          type: integer
          format: int64
          nullable: true
        currency:
          type: string
          nullable: true
        expirationDate:
          type: string
          format: date-time
          nullable: true
        notes:
          type: string
          nullable: true
      additionalProperties: false
    DTOAddressRequest:
      type: object
      properties:
        line1:
          type: string
          nullable: true
        line2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        stateCode:
          type: string
          nullable: true
        countryCode:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
      additionalProperties: false
    PaymentMethodsPaymentMethodCardFingerprint:
      type: object
      properties:
        fingerprint:
          type: string
          nullable: true
        provider:
          $ref: >-
            #/components/schemas/ModelsPaymentMethodsSBPaymentMethodCardFingerprintProvider
      additionalProperties: false
    DTOAddress:
      type: object
      properties:
        line1:
          type: string
          nullable: true
        line2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        stateCode:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        countryCode:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
        location:
          $ref: '#/components/schemas/AddressesCoordinates'
        googlePlaceId:
          type: string
          nullable: true
        formattedAddress:
          type: string
          nullable: true
      additionalProperties: false
    ModelsPaymentMethodsSBPaymentMethodCardFingerprintProvider:
      enum:
        - STRIPE
        - SQUARE
      type: string
    AddressesCoordinates:
      type: object
      properties:
        longitude:
          type: number
          format: double
        latitude:
          type: number
          format: double
      additionalProperties: false

````